using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;

namespace BMA.EHR.Recurit.Exam.Service.Models
{
    public class Education : EntityBase
    {
        [Required, Column(Order = 7), Comment("Id ผู้สมัคร")]
        public virtual Candidate? Candidate { get; set; }
        [Comment("Id วุฒิที่ใช้สมัครสอบ")]
        public Guid? EducationLevelExamId { get; set; }
        [Comment("วุฒิที่ใช้สมัครสอบ")]
        public string? EducationLevelExamName { get; set; }
        [Comment("ชื่อปริญญา")]
        public string? EducationName { get; set; }
        [Comment("สาขาวิชา/วิชาเอก")]
        public string? EducationMajor { get; set; }
        [Comment("ชื่อสถานศึกษา")]
        public string? EducationLocation { get; set; }
        [Comment("ประเภทสถานศึกษา")]
        public string? EducationType { get; set; }
        [Comment("วันที่สำเร็จการศึกษา")]
        public DateTime? EducationEndDate { get; set; }
        [Comment("คะแนนเฉลี่ยสะสม")]
        public string? EducationScores { get; set; }
        [Comment("Id วุฒิการศึกษาสูงสุด")]
        public Guid? EducationLevelHighId { get; set; }
        [Comment("วุฒิการศึกษาสูงสุด")]
        public string? EducationLevelHighName { get; set; }
    }
}
